Subject: framework draft v07 uploaded to IETF

From: "Yang, Lily L" <[email-masked]>
Date: Sun, 27 Jul 2003 13:01:59 -0700

Hi, all --

A new revision (v07) of framework draft is uploaded to IETF.
The changes made from v06 are very specific, as discussed previously in the mailing list and summaried below:
1) terminology clean up around "FE topology"
2) clarification text added for off-load functions
3) text around transport is aligned to requirement draft.
You can find the detailed log of changes at the end of this email

We intend this revision to go into IESG review very soon.

Thank you,

Lily

 <<draft-ietf-forces-framework-07.txt>> 
======= Details on the changes from v06 to v07 ===================

#1 (Section 1) Terminology Clean-up: added "intra-FE topology" and removed reference to "FE Block Topology" in "FE Topology".
There has been some confusion in different drafts in what "FE topology" means. We want to make it clear that "FE topology" means "inter-FE topology" and correspondingly there is also "intra-FE topology".  Because the exact terminology used to mean intra-FE topology is still evolving with the FE model work. Both FE Block and LFB (Logical Functional Block) have been used. Since the framework draft is more relevant to intra-FE topology than intra-FE topology, we think it is best to use the generic "intra-FE topology" terminology here to avoid confusion. This gives time and freedom to the FE model draft to work out a specific terminology later.
[added "Intra-FE topology"]
"Intra-FE topology - Representation of how a single FE is realized by combining possibly multiple logical functional blocks along multiple data path. This is defined by the FE model." 
[old "FE topology"]
"FE Topology -- Representation of how the multiple FEs in a single NE are interconnected.  Sometimes it is called inter-FE topology, to be distinguished from intra-FE topology (or FE block topology) used by FE model."
[new "FE topology"]
"FE Topology -- Representation of how the multiple FEs in a single NE are interconnected.  Sometimes it is called inter-FE topology, to be distinguished from intra-FE topology used by FE model."

#2 (Section 5.6) Added the paragraph below at the end of the section:
"However, the exact description of the off-loaded functionality corresponding to the off-loaded functions expressed in the FE model are not part of the model itself and will need to be worked out as a separate specification."

#3 (Section 4.2.1) The following old text is replaced by the new text to align with the requirement draft on transport:
[old]
"ForCES will make use of an existing RFC2914 ([2]) compliant L4 > > protocol with adequate reliability, security and congestion control   (e.g. TCP, SCTP) for transport purposes."
[new]
"When the CEs and FEs are separated beyond a single hop, the ForCES protocol will make use of an existing RFC2914 compliant L4 protocol with adequate reliability, security and congestion control (e.g. TCP, SCTP) for transport purposes."

---

From: Jamal Hadi Salim <[email-masked]>
Date: Sun, 27 Jul 2003 14:02:37 -0700

> "When the CEs and FEs are separated beyond a single hop, the ForCES protocol will make use of an existing RFC2914 compliant L4 protocol with adequate reliability, security and congestion control (e…

I think you should use the language defined in the charter, quote:

" .......
forwarding separation for IP forwarding devices where the
control and forwarding elements are in close (same room/small
number of hops) or very close (same box/one hop) proximity. Other
scenarios will be considered but at not the main focus of the
work."

Get rid of the term "separated beyond a single hop"  and say
"not close" . For that same purpose please include the two definitions
above in the draft so people understand what "close"  means.

Other than that i dont see any show stoppers.

cheers,
jamal

---

From: Jamal Hadi Salim <[email-masked]>
Date: Sun, 27 Jul 2003 14:10:36 -0700

BTW, One other thing which i have assumed as implicit is
that the FE and CE maybe located in the same device. Example
two Line cards - each with its own CPU: In such a case you
select one of them to be the CE (selection is beyond Forces).

The architecture draft doesnt show this - although it is clearly
implicit. Need validation.

cheers,
jamal

---

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 28 Jul 2003 04:02:21 -0700

BTW,
Hormuzd this applies to the requirements draft as well - i dont know how
i missed that. Its two places in the text; search for word hop.

cheers,
jamal

---

From: Alex Audu <[email-masked]>
Date: Mon, 28 Jul 2003 12:01:36 -0500

Yo Jamal,

I don't understand what you are postulating here. Are you saying you can

make a CE out of an FE?

Regards,
Alex.

---

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 28 Jul 2003 02:11:50 -0400

Alex,
Think of just a chasis with no dedicated CE module. Think of line
cards each equipped with some embedded processors. You could use
one of the line cards as a CE. You could infact split the CE work
across several line cards etc. I think it is implict right now -
i just wanted to make sure other people thought the same.

cheers,
jamal

---

From: Alex Audu <[email-masked]>
Date: Mon, 28 Jul 2003 16:00:18 -0500

Well,..normally the FEs are specialized for forwarding and their hardware
requirements are quite different from those of CEs. In that case, you
can't just make any FE into a CE.

Regards,
Alex.

---

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 28 Jul 2003 04:03:35 -0400

Alex,

If you dont have much processing horsepower, true.
I have basic PPC 8245 on the line cards here(which may be considered by
some to be "powerful") and i think in a small setup i should be able to
happily use them as a loosely coupled CE while the line card fabric is
used to forward packets.

I still need an answer: Is this out of scope for Forces? I think
implicitly it is within. Am i correct?

cheers,
jamal

---

From: Alex Audu <[email-masked]>
Date: Tue, 29 Jul 2003 16:30:44 -0500

Hi Jamal,

I guess you can say that  FORCES starts with the assumption that you
have FE and CE elements that can collaborate to form a network element(s).
How you get your CEs or FEs is beyond the scope of FORCES.

Regards,
Alex.